<div class="custom-alerts row">
    <% flash.each do |key, value| %>
        <div class="<%= flash_class(key)%> fade in alert-dismissable full-width" >
            <a href="#" class="close" data-dismiss="alert" style="opacity: 1"><%= raw(value)%></a>
        </div>
    <% end %>
</div>

<script>
$(function(){
    setTimeout(function(){
        $(".custom-alerts .alert").not(".alert-danger").addClass("hide")
    },6000)
});
</script>